declare type UseGenGridProps = {
    itemMinWidth: number;
    itemMaxWidth: number;
    width: number;
    dataSource: Record<string, any>[];
    horizontal: number;
    vertical: number;
};
declare const useGenGridProps: (params: UseGenGridProps) => {
    columnCount: number;
    columnWidth: number;
    rowCount: number;
};
export default useGenGridProps;
